Moves RTD theme requirements definition

Requirements definition is being moved to doc/requirements.txt file
after the requirement has been accepted to global
openstack/requirement project.

Change-Id: Idd9e4d648b26bd4d45cfa4e8868703531acfce3e
changes/90/811390/13
Federico Ressi 1 year ago
parent e2b5423860
commit 72407ca361
  1. 2
      doc/readthedocs_requirements.txt
  2. 1
      doc/requirements.txt
  3. 6
      releasenotes/source/conf.py

@ -2,6 +2,6 @@
# one single requirements file for a project, we need to have one such file
# which will include all project requirements
-r ../requirements.txt
-r ../test-requirements.txt
-r ../extra-requirements.txt
-r ./requirements.txt
sphinx_rtd_theme>=1.0,<1.1 # Apache-2.0

@ -4,3 +4,4 @@
reno>=3.2.0 # Apache-2.0
sphinx>=3.4.2 # BSD
sphinx_rtd_theme>=1.0 # MIT

@ -55,12 +55,6 @@ release = get_version.get_version()
version = '.'.join(release.split('.', 2)[:2])
# -- Install requirements ----------------------------------------------------
from tools import install
install.pip_install('sphinx_rtd_theme>=0.5.1,<1') # Apache-2.0
# -- General configuration ---------------------------------------------------
# Add any Sphinx extension module names here, as strings. They can be

Loading…
Cancel
Save